Apple has issued an emergency patch for older kit to fix a WebKit security flaw that Cupertino warns is under active attack.

On Monday, Apple released iOS 12.5.7 for iPhone 5s, iPhone 6, iPhone 6 Plus, iPad Air, iPad mini 2, iPad mini 3, and sixth-generation iPod touch. It also updated iOS and iPadOS 15 and 16, but it appears that, at least as of now, attackers are only going after devices running the very-old iOS 12.

If you have one of these older devices, we'd suggest updating to the new iOS immediately as the vulnerability that it fixes, tracked as CVE-2022-42856, sounds like a nasty one. Websites, for one, can exploit this flaw to hijack vulnerable phones that surf by.